Bug 454078 - Review Request: khmeros-fonts - Khmer free/libre font set created by Danh Hong of the Cambodian Open Institute
Review Request: khmeros-fonts - Khmer free/libre font set created by Danh Hon...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Nowak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-04 09:09 EDT by Michal Nowak
Modified: 2013-03-07 21:04 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.0-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-23 22:10:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nicolas.mailhot: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2008-07-04 09:09:57 EDT
Spec URL: http://mnowak.fedorapeople.org/khmeros-fonts/khmeros-fonts.spec
SRPM URL: http://mnowak.fedorapeople.org/khmeros-fonts/khmeros-fonts-5.0-1.fc9.src.rpm
Description:
All font include Khmer and Latin alphabets, and they have equivalent sizes for Khmer and English alphabets, so that when texts mix both it is not necessary to have different size points of the text for each language. This makes localization possible. Khmer OS System is our system font. It is hinted, so that it can be used and clearly understood in small sizes.

I need a sponsor.
Comment 1 Michal Nowak 2008-07-04 09:12:46 EDT
[root@dhcp-lab-192 SOURCES]# rpmlint ../SPECS/khmeros-fonts.spec
/usr/src/redhat/SRPMS/khmeros-fonts-5.0-1.fc9.src.rpm
/usr/src/redhat/RPMS/noarch/khmeros-fonts-5.0-1.fc9.noarch.rpm
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

The exact license is being disputed whether is it LGPLv2 (or <...>+ or v3);
mailed upstream, hopefully will get answer.
Comment 2 Michal Nowak 2008-07-04 09:19:11 EDT
Cc-ed fedora-fonts-bugs-list@redhat.com have more attention. 
Comment 3 Nicolas Mailhot 2008-07-04 16:41:30 EDT
Formal review

OK  | MUST: rpmlint must be run on every packag…

$ rpmlint *rpm
khmeros-fonts.noarch: E: zero-length /usr/share/doc/khmeros-fonts/COPYRIGHT.Fedora
2 packages and 0 specfiles checked; 1 errors, 0 warnings.

(self-inflicted error, not the proposed file)

OK  | MUST: The package must be named according to the Package…
OK  | MUST: The spec file name must match the base package…
OK  | MUST: The package must meet the Packaging Guidelines…
OK  | MUST: The package must be licensed with a Fedora approved…
OK  | MUST: The License field in the package spec file must…
NOK | MUST: If (and only if) the source package includes the…
Don't add licence files not published upstream

-   | MUST: The spec file must be written in American English.
OK  | MUST: The spec file for the package MUST be legible.
-   | MUST: The sources used to build the package must match… 
Didn't check the srpm.  the spec works fine with the upstream zip

OK  | MUST: The package must successfully compile and build…
N/A | MUST: If the package does not successfully compile, build 
OK  | MUST: All build dependencies must be listed…
N/A | MUST: The spec file MUST handle locales properly…
N/A | MUST: Every binary RPM package which stores shared…
N/A | MUST: If the package is designed to be relocatable…
OK  | MUST: A package must own all directories that it creates
OK  | MUST: A package must not contain any duplicate files 
OK  | MUST: Permissions on files must be set properly. 
OK  | MUST: Each package must have a %clean section
OK  | MUST: Each package must consistently use macros
OK  | MUST: The package must contain code, or permissable 
N/A | MUST: Large documentation files should go in a -doc 
OK  | MUST: If a package includes something as %doc…
N/A | MUST: Header files must be in a -devel package.
N/A | MUST: Static libraries must be in a -static package.
N/A | MUST: Packages containing pkgconfig(.pc) files must…
N/A | MUST: If a package contains library files with a suffix…
N/A | MUST: In the vast majority of cases, devel packages must…
N/A | MUST: Packages must NOT contain any .la libtool archives, 
N/A | MUST: Packages containing GUI applications must include…
OK  | MUST: Packages must not own files or directories already
OK  | MUST: At the beginning of %install, each package MUST…
OK  | MUST: All filenames in rpm packages must be valid UTF-8.

-   | SHOULD: If the source package does not include license 
text(s) as a separate file from upstream, the packager 
SHOULD query upstream to include it.

Please do so

-   | SHOULD: The description and summary sections in the…
OK  | SHOULD: The reviewer should test that the package builds…
N/A | SHOULD: The package should compile and build into binary…
OK  | SHOULD: The reviewer should test that the package…
OK  | SHOULD: If scriptlets are used, those scriptlets must…
N/A | SHOULD: Usually, subpackages other than devel should…
N/A | SHOULD: The placement of pkgconfig(.pc) files depends on…
N/A | SHOULD: If the package has file dependencies outside of…
Comment 4 Nicolas Mailhot 2008-07-04 16:52:44 EDT
Proposed spec changes:
1. re-word description a little
2. macroify version in archivename
3. kill the external non-upstream-provided license file
(even if you kept it it's not necessary to install it this way, %doc takes care
of a lot of things)

--- khmeros-fonts.spec	2008-07-04 15:40:50.000000000 +0200
+++ khmeros-fonts-nim.spec	2008-07-04 22:49:39.000000000 +0200
@@ -1,27 +1,26 @@
 %define fontname        khmeros
 %define fontdir         %{_datadir}/fonts/%{fontname}
-%define archivename     All_KhmerOS_5.0
+%define archivename     All_KhmerOS_%{version}
 
 Name:           %{fontname}-fonts
 Version:        5.0
 Release:        1%{?dist}
-Summary:        Khmer free/libre font set created by Danh Hong of the Cambodian
Open Institute
+Summary:        Khmer font set created by Danh Hong of the Cambodian Open Institute
 
 Group:          User Interface/X
 License:        LGPLv2+
 URL:            http://www.khmeros.info/drupal/?q=en/download/fonts
 Source0:        http://downloads.sourceforge.net/khmer/%{archivename}.zip
-Source1:        COPYRIGHT.Fedora
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildArch:      noarch
 
 %description
-All font include Khmer and Latin alphabets, and they have equivalent sizes 
-for Khmer and English alphabets, so that when texts mix both it is not 
-necessary to have different size points of the text for each language. 
-This makes localization possible. Khmer OS System is our system font. It 
-is hinted, so that it can be used and clearly understood in small sizes.
+The Khmer OS fonts include Khmer and Latin alphabets, and they have equivalent
+sizes for Khmer and English alphabets, so that when texts mix both it is not 
+necessary to have different point sizes for the text in each language.
+
+They were created by Danh Hong of the Cambodian Open Institute.
 
 
 %prep
@@ -36,8 +35,6 @@
 
 install -dm 755 %{buildroot}%{fontdir}
 install -pm 644 *.ttf %{buildroot}%{fontdir}
-install -dm 755 %{buildroot}%{_datadir}/doc/%{name}
-install -pm 644 %{SOURCE1} %{buildroot}%{_datadir}/doc/%{name}
 
 
 %clean
@@ -59,7 +56,6 @@
 %defattr(644,root,root,755)
 %dir %{fontdir}/
 %{fontdir}/*.ttf
-%doc %{_datadir}/doc/%{name}/COPYRIGHT.Fedora
 
 
 %changelog
Comment 5 Nicolas Mailhot 2008-07-04 16:55:47 EDT
Last remark : this font set is very rich, with ~ 1 MiB for the resulting rpm, it
would be nice to split it in 2 ~ 500 KiB subpackages (discuss with upstream what
would be a user-friendly split)
Comment 6 Nicolas Mailhot 2008-07-04 16:58:17 EDT
Anyway:
1. please take care of the licensing (blocker)
2. try to split the file (nice-to-have)
3. work a bit on the package description (as suggested, or if you have better ideas)

Then I'll approve the package (don't wait before I leave for summer vacations)
Thank you for packaging a new font!
Comment 7 Michal Nowak 2008-07-06 02:52:02 EDT
Thanks for review, I'll incorporate the proposed changes (thanks for them!).
Here's the question about license:
http://www.khmeros.info/drupal/?q=en/node/2739 It should be upstream's forums. I
tried several emails on the team page
http://www.khmeros.info/drupal/?q=en/about/team but with no luck yet (all failed
to be delivered.

Q about splitting: http://www.khmeros.info/drupal/?q=en/node/2740 When I have no
luck I'll propose the splitting on my own.
Comment 8 Nicolas Mailhot 2008-07-06 07:32:12 EDT
If upstream does not answer, do proceed on your own. It's important to try to
get issues fixed upstream but do not block on upstream availability too long.

I won't be available from end of July till September, so if you stray in this
zone, you'll have to wait a little or ask another reviewer. Since most of the
review is already done that should not be too difficult.
Comment 9 Michal Nowak 2008-07-07 10:44:23 EDT
(In reply to comment #5)
> Last remark : this font set is very rich, with ~ 1 MiB for the resulting rpm, it
> would be nice to split it in 2 ~ 500 KiB subpackages (discuss with upstream what
> would be a user-friendly split)

See from upstream: http://www.khmeros.info/drupal/?q=en/node/2740#comment-6623

The problem here is that when I choose some way of splitting package to two
sub-packages and upstream will choose it's own separation (and different from
ours) then we might face problems when trying to publish new "upstreamised"
sub-packages.

I'd prefer issuing this package as-is and split it in future based on upstream
decision.

What you think?
Comment 10 Michal Nowak 2008-07-07 10:47:36 EDT
* (updated) http://mnowak.fedorapeople.org/khmeros-fonts/khmeros-fonts.spec
* (new) http://mnowak.fedorapeople.org/khmeros-fonts/khmeros-fonts-5.0-2.fc9.src.rpm

[root@dhcp-lab-192 SOURCES]# rpmlint ../SPECS/khmeros-fonts.spec
/usr/src/redhat/SRPMS/khmeros-fonts-5.0-2.fc9.src.rpm
/usr/src/redhat/RPMS/noarch/khmeros-fonts-5.0-2.fc9.noarch.rpm
khmeros-fonts.noarch: W: no-documentation
2 packages and 1 specfiles checked; 0 errors, 1 warnings.

* Expected, upstream does not provide any.
Comment 11 Nicolas Mailhot 2008-07-07 15:38:51 EDT
I'll try to look at your new spec tomorrow or thr day after.

I agree that if upstream promised changes for the next version, it's no use
anticipating them and packaging as-is (with commitment to adapt once upstream
does its new release) is the way to go
Comment 12 Michal Nowak 2008-07-08 03:56:06 EDT
From reply

> Thank you. Wait for new version, we will include some square fonts for title.

I am not 100% sure they will split it but more that they will talk about it once
the new version is out. I just asked on the khmeros mailing list, we will see...
Comment 13 Nicolas Mailhot 2008-07-08 14:16:40 EDT
Ok.

You've done the right moves so far so I'm going to approve the package and
sponsor you. Please don't prove me wrong and continue to perfect the package and
coordinate with upstream for requested changes.

Your remaining packaging steps are outlined there
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a

Since your package includes handwritten fonts, it's probably a good idea to add
a fontconfig file that registers its fonts in the correct generic families.
Comment 14 Michal Nowak 2008-07-09 05:04:21 EDT
Thanks for sponsorship and approval.


Another answer I got from upstream:

> Khmer OS & Khmer OS System is preferred in any case.

Frankly speaking I don't believe much in upstream's going to separate the one
big "All-package" into sub-packages because on their page is anyone able to dl
them separately. 

I believe they'll only add monotype-style font, which I intend to add to "-base"
font package (read on).

I prepared separation based on visual look, purpose and upstream page
http://www.khmeros.info/drupal/?q=en/download/fonts:

KhmerOS-fonts

• khmeros-fonts-base
  ∘ KhmerOS
  ∘ KhmerOS_sys
  ∘ KhmerOS_content
• khmeros-fonts-handwritten
  ∘ KhmerOS_fasthand
  ∘ KhmerOS_freehand
• khmeros-fonts-muol
  ∘ KhmerOS_muollight
  ∘ KhmerOS_muolpali
  ∘ KhmerOS_muol
• khmeros-fonts-metalchrieng
  ∘ KhmerOS_metalchrieng
• khmeros-fonts-bokor
  ∘ KhmerOS_bokor
• khmeros-fonts-siemreap
  ∘ KhmerOS_siemreap
• khmeros-fonts-battambang
  ∘ KhmerOS_battambang

* http://mnowak.fedorapeople.org/khmeros-fonts/khmeros-fonts.spec
* http://mnowak.fedorapeople.org/khmeros-fonts/khmeros-fonts-5.0-3.fc9.src.rpm
(* the old one http://mnowak.fedorapeople.org/khmeros-fonts/khmeros-fonts.spec_OLD )

TODO
  * will prepare fontconfig stuff
Comment 15 Michal Nowak 2008-07-09 05:52:30 EDT
One note: I am renaming one font because it contains space ('KhmerOS .ttf'). It
makes no sense to me to persist it there. But I have no problem leaving it as-is.
Comment 16 Nicolas Mailhot 2008-07-09 06:03:07 EDT
(In reply to comment #15)
> One note: I am renaming one font because it contains space ('KhmerOS .ttf'). It
> makes no sense to me to persist it there. But I have no problem leaving it as-is.

Your choice. Most apps won't see the filenames anyway, so it's not big problem.
They'll work with the names declared in font metadata
Comment 17 Jens Petersen 2008-07-09 21:25:28 EDT
(In reply to comment #15)
> One note: I am renaming one font because it contains space ('KhmerOS .ttf'). It
> makes no sense to me to persist it there. But I have no problem leaving it as-is.

Have you reported it upstream to the maintainers?

Rename is fancy, but I would just "mv KhmerOS{ ,}.ttf".
Comment 18 Michal Nowak 2008-07-10 03:52:39 EDT
> Have you reported it upstream to the maintainers?

I did today. Thx for reminder.
Comment 19 Michal Nowak 2008-07-10 11:45:08 EDT
New Package CVS Request
=======================
Package Name: khmeros-fonts
Short Description: Khmer font set created by Danh Hong of the Cambodian Open
Institute
Owners: mnowak
Branches: F-8 F-9 EL-4 EL-5
InitialCC: nim
Cvsextras Commits: yes
Comment 20 Nicolas Mailhot 2008-07-10 12:06:46 EDT
Please have the fonts SIG CC-ed, not me
Comment 21 Tom "spot" Callaway 2008-07-10 17:09:41 EDT
cvs done
Comment 22 Fedora Update System 2008-07-15 07:25:22 EDT
khmeros-fonts-5.0-3.fc9 has been submitted as an update for Fedora 9
Comment 23 Fedora Update System 2008-07-15 07:27:37 EDT
khmeros-fonts-5.0-3.fc8 has been submitted as an update for Fedora 8
Comment 24 Jens Petersen 2008-07-15 08:05:37 EDT
Thanks for this!  I added a note to the I18N docs beat.
(one more language covered on the wikipedia front page:-)

Thanks for adding to comps too.
Comment 25 Fedora Update System 2008-07-23 22:10:39 EDT
khmeros-fonts-5.0-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2008-07-23 22:12:54 EDT
khmeros-fonts-5.0-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.